---
lang: en
title: 'API docs: rest.restserverconfig'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restserverconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestServerConfig](./rest.restserverconfig.md)

## RestServerConfig type

Valid configuration for the RestServer constructor.

**Signature:**

```typescript
export type RestServerConfig = RestServerOptions & HttpServerOptions;
```
**References:** [RestServerOptions](./rest.restserveroptions.md)<!-- -->, [HttpServerOptions](./http-server.httpserveroptions.md)


